package cmm.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;


@SuppressWarnings("serial")
public class CmmCmsVO extends CmmVO {
		
	private String id = null;
	private String contentId = null;
	private String theme = "";
	private String series = "";
	private String firstTopic = "";
	private String secondTopic = "";
	private String title = "";
	private String sidoName1 = "";
	private String sigunguName1 = "";
	private String dongName1 = "";
	private String sidoName2 = "";
	private String sigunguName2 = "";
	private String dongName2 = "";
	private String latitude = "";
	private String longitude = "";
	private String trsSidoName = "";
	private String trsSigunguName = "";
	private String trsDongName = "";
	private String field = "";
	private String age = "";
	private String chronological = "";
	private String summary = "";
	private String description = "";
	private String addInformation = "";
	private String writerOpinion = "";
	private String writer = "";
	private Date deletedAt = null;
	private Date updatedAt = null;
	private Date createdAt = null;
	private String interfaceId = "";
	private String linkData = "";
	private String recommendYn ="";
	private String useAt = "Y";
	private String mainImg = "";
	private String rdcnt = "";
	private String etcCol1;
	private String etcCol2;
	private String council = "";
	private String volume = "";
	private String author = "";
	private String publisher = "";
	private String genyear = "";
	private String amount = "";
	private String sidoName = "";
	private String sigunguName = "";
	private String category = "";
	private String keywords = "";
	private String count = "";
	private String haveFile = "";
	private String needDigital = "";
	private String desc = "";
	private String location = "";
	private String scan1 = "";
	private String scan1History = "";
	private String writerSelect = "";
	private String contentType = "";
	private String joinCnt = "";
	private String satisAvg = "";
	private String couName = "";
	private String orgOpenAt = "";
	private String listOpenAt = "";
	private String assetType = "";
	private String assetClass = "";
	private String uaType="";
	
	
	private String mediaId = null;
	
	List <CmmCmsKeywordsVO> cmmCmsKeywordsList = null;
	List <CmmCmsTagsVO> cmmCmsTagsList = null;
	List <CmmCouncilInfoVO> cmmCouncilInfoList = null;
	List <CmmCmsSupplementDataVO> cmmCmsSupplementDataList = null;
	List <CmmCmsReferenceDataVO> cmmCmsReferenceDataList = null;
	List <CmmCmsRelatedDataVO> cmmCmsRelatedDataList = null;
	
	
	
	
	public String getRecommendYn() {
		return recommendYn;
	}
	public void setRecommendYn(String recommendYn) {
		this.recommendYn = recommendYn;
	}
	public String getAssetType() {
		return assetType;
	}
	public void setAssetType(String assetType) {
		this.assetType = assetType;
	}
	public String getOrgOpenAt() {
		return orgOpenAt;
	}
	public void setOrgOpenAt(String orgOpenAt) {
		this.orgOpenAt = orgOpenAt;
	}
	public String getListOpenAt() {
		return listOpenAt;
	}
	public void setListOpenAt(String listOpenAt) {
		this.listOpenAt = listOpenAt;
	}
	public String getCouName() {
		return couName;
	}
	public void setCouName(String couName) {
		this.couName = couName;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getTheme() {
		return theme;
	}
	public void setTheme(String theme) {
		this.theme = theme;
	}
	public String getSeries() {
		return series;
	}
	public void setSeries(String series) {
		this.series = series;
	}
	public String getFirstTopic() {
		return firstTopic;
	}
	public void setFirstTopic(String firstTopic) {
		this.firstTopic = firstTopic;
	}
	public String getSecondTopic() {
		return secondTopic;
	}
	public void setSecondTopic(String secondTopic) {
		this.secondTopic = secondTopic;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSidoName1() {
		return sidoName1;
	}
	public void setSidoName1(String sidoName1) {
		this.sidoName1 = sidoName1;
	}
	public String getSigunguName1() {
		return sigunguName1;
	}
	public void setSigunguName1(String sigunguName1) {
		this.sigunguName1 = sigunguName1;
	}
	public String getDongName1() {
		return dongName1;
	}
	public void setDongName1(String dongName1) {
		this.dongName1 = dongName1;
	}
	public String getSidoName2() {
		return sidoName2;
	}
	public void setSidoName2(String sidoName2) {
		this.sidoName2 = sidoName2;
	}
	public String getSigunguName2() {
		return sigunguName2;
	}
	public void setSigunguName2(String sigunguName2) {
		this.sigunguName2 = sigunguName2;
	}
	public String getDongName2() {
		return dongName2;
	}
	public void setDongName2(String dongName2) {
		this.dongName2 = dongName2;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getTrsSidoName() {
		return trsSidoName;
	}
	public void setTrsSidoName(String trsSidoName) {
		this.trsSidoName = trsSidoName;
	}
	public String getTrsSigunguName() {
		return trsSigunguName;
	}
	public void setTrsSigunguName(String trsSigunguName) {
		this.trsSigunguName = trsSigunguName;
	}
	public String getTrsDongName() {
		return trsDongName;
	}
	public void setTrsDongName(String trsDongName) {
		this.trsDongName = trsDongName;
	}
	public String getField() {
		return field;
	}
	public void setField(String field) {
		this.field = field;
	}
	public String getAge() {
		return age;
	}
	public void setAge(String age) {
		this.age = age;
	}
	public String getChronological() {
		return chronological;
	}
	public void setChronological(String chronological) {
		this.chronological = chronological;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getAddInformation() {
		return addInformation;
	}
	public void setAddInformation(String addInformation) {
		this.addInformation = addInformation;
	}
	public String getWriterOpinion() {
		return writerOpinion;
	}
	public void setWriterOpinion(String writerOpinion) {
		this.writerOpinion = writerOpinion;
	}
	public String getWriter() {
		return writer;
	}
	public void setWriter(String writer) {
		this.writer = writer;
	}
	public String getInterfaceId() {
		return interfaceId;
	}
	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}
	public String getLinkData() {
		return linkData;
	}
	public void setLinkData(String linkData) {
		this.linkData = linkData;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getRdcnt() {
		return rdcnt;
	}
	public void setRdcnt(String rdcnt) {
		this.rdcnt = rdcnt;
	}
	public List<CmmCmsKeywordsVO> getCmmCmsKeywordsList() {
		List<CmmCmsKeywordsVO> ret = null;
		if(this.cmmCmsKeywordsList != null){
			ret = new ArrayList<CmmCmsKeywordsVO>(); 
			ret = this.cmmCmsKeywordsList;
		}
		return ret;
	}
	public void setCmmCmsKeywordsList(ArrayList<CmmCmsKeywordsVO> cmmCmsKeywordsList) { 
		this.cmmCmsKeywordsList = new ArrayList<CmmCmsKeywordsVO> (cmmCmsKeywordsList.size()); 
		for(int i=0; i<cmmCmsKeywordsList.size(); ++i) {
			this.cmmCmsKeywordsList.add(i, cmmCmsKeywordsList.get(i)); 
		}
	}
	public List<CmmCmsTagsVO> getCmmCmsTagsList() {
		List<CmmCmsTagsVO> ret = null;
		if(this.cmmCmsTagsList != null){
			ret = new ArrayList<CmmCmsTagsVO>(); 
			ret = this.cmmCmsTagsList;
		}
		return ret;
	}
	public void setCmmCmsTagsList(ArrayList<CmmCmsTagsVO> cmmCmsTagsList) { 
		this.cmmCmsTagsList = new ArrayList<CmmCmsTagsVO> (cmmCmsTagsList.size()); 
		for(int i=0; i<cmmCmsTagsList.size(); ++i) {
			this.cmmCmsTagsList.add(i, cmmCmsTagsList.get(i)); 
		}
	}
	public List<CmmCouncilInfoVO> getCmmCouncilInfoList() {
		List<CmmCouncilInfoVO> ret = null;
		if(this.cmmCouncilInfoList != null){
			ret = new ArrayList<CmmCouncilInfoVO>(); 
			ret = this.cmmCouncilInfoList;
		}
		return ret;
	}
	public void setCmmCouncilInfoList(ArrayList<CmmCouncilInfoVO> cmmCouncilInfoList) { 
		this.cmmCouncilInfoList = new ArrayList<CmmCouncilInfoVO> (cmmCouncilInfoList.size()); 
		for(int i=0; i<cmmCouncilInfoList.size(); ++i) {
			this.cmmCouncilInfoList.add(i, cmmCouncilInfoList.get(i)); 
		}
	}
	public List<CmmCmsSupplementDataVO> getCmmCmsSupplementDataList() {
		List<CmmCmsSupplementDataVO> ret = null;
		if(this.cmmCmsSupplementDataList != null){
			ret = new ArrayList<CmmCmsSupplementDataVO>(); 
			ret = this.cmmCmsSupplementDataList;
		}
		return ret;
	}
	public void setCmmCmsSupplementDataList(ArrayList<CmmCmsSupplementDataVO> cmmCmsSupplementDataList) { 
		this.cmmCmsSupplementDataList = new ArrayList<CmmCmsSupplementDataVO> (cmmCmsSupplementDataList.size()); 
		for(int i=0; i<cmmCmsSupplementDataList.size(); ++i) {
			this.cmmCmsSupplementDataList.add(i, cmmCmsSupplementDataList.get(i)); 
		}
	}
	public List<CmmCmsReferenceDataVO> getCmmCmsReferenceDataList() {
		List<CmmCmsReferenceDataVO> ret = null;
		if(this.cmmCmsReferenceDataList != null){
			ret = new ArrayList<CmmCmsReferenceDataVO>(); 
			ret = this.cmmCmsReferenceDataList;
		}
		return ret;
	}
	public void setCmmCmsReferenceDataList(ArrayList<CmmCmsReferenceDataVO> cmmCmsReferenceDataList) { 
		this.cmmCmsReferenceDataList = new ArrayList<CmmCmsReferenceDataVO> (cmmCmsReferenceDataList.size()); 
		for(int i=0; i<cmmCmsReferenceDataList.size(); ++i) {
			this.cmmCmsReferenceDataList.add(i, cmmCmsReferenceDataList.get(i)); 
		}
	}
	
	public List<CmmCmsRelatedDataVO> getCmmCmsRelatedDataList() {
		List<CmmCmsRelatedDataVO> ret = null;
		if(this.cmmCmsRelatedDataList != null){
			ret = new ArrayList<CmmCmsRelatedDataVO>(); 
			ret = this.cmmCmsRelatedDataList;
		}
		return ret;
	}
	public void setCmmCmsRelatedDataList(ArrayList<CmmCmsRelatedDataVO> cmmCmsRelatedDataList) { 
		this.cmmCmsRelatedDataList = new ArrayList<CmmCmsRelatedDataVO> (cmmCmsRelatedDataList.size()); 
		for(int i=0; i<cmmCmsRelatedDataList.size(); ++i) {
			this.cmmCmsRelatedDataList.add(i, cmmCmsRelatedDataList.get(i)); 
		}
	}
	public String getCouncil() {
		return council;
	}
	public void setCouncil(String council) {
		this.council = council;
	}
	public String getVolume() {
		return volume;
	}
	public void setVolume(String volume) {
		this.volume = volume;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	public String getGenyear() {
		return genyear;
	}
	public void setGenyear(String genyear) {
		this.genyear = genyear;
	}
	public String getAmount() {
		return amount;
	}
	public void setAmount(String amount) {
		this.amount = amount;
	}
	public String getSidoName() {
		return sidoName;
	}
	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}
	public String getSigunguName() {
		return sigunguName;
	}
	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}
	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
	public String getKeywords() {
		return keywords;
	}
	public void setKeywords(String keywords) {
		this.keywords = keywords;
	}
	public String getCount() {
		return count;
	}
	public void setCount(String count) {
		this.count = count;
	}
	public String getHaveFile() {
		return haveFile;
	}
	public void setHaveFile(String haveFile) {
		this.haveFile = haveFile;
	}
	public String getNeedDigital() {
		return needDigital;
	}
	public void setNeedDigital(String needDigital) {
		this.needDigital = needDigital;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public Date getDeletedAt() {
		return deletedAt;
	}
	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}
	public Date getCreatedAt() {
		return createdAt;
	}
	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	public Date getUpdatedAt() {
		return updatedAt;
	}
	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}
	public String getScan1() {
		return scan1;
	}
	public void setScan1(String scan1) {
		this.scan1 = scan1;
	}
	public String getScan1History() {
		return scan1History;
	}
	public void setScan1History(String scan1History) {
		this.scan1History = scan1History;
	}
	public String getWriterSelect() {
		return writerSelect;
	}
	public void setWriterSelect(String writerSelect) {
		this.writerSelect = writerSelect;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public String getJoinCnt() {
		return joinCnt;
	}
	public void setJoinCnt(String joinCnt) {
		this.joinCnt = joinCnt;
	}
	public String getSatisAvg() {
		return satisAvg;
	}
	public void setSatisAvg(String satisAvg) {
		this.satisAvg = satisAvg;
	}
	public String getEtcCol1() {
		return etcCol1;
	}
	public void setEtcCol1(String etcCol1) {
		this.etcCol1 = etcCol1;
	}
	public String getEtcCol2() {
		return etcCol2;
	}
	public void setEtcCol2(String etcCol2) {
		this.etcCol2 = etcCol2;
	}
    public String getAssetClass() {
		return assetClass;
	}
	public void setAssetClass(String assetClass) {
		this.assetClass = assetClass;
	}
	public String getUaType() {
		return uaType;
	}
	public void setUaType(String uaType) {
		this.uaType = uaType;
	}
	public String toString() {
    	return CmmUtil.reflectionToString(this);
    }
	public String getMediaId() {
		return mediaId;
	}
	public void setMediaId(String mediaId) {
		this.mediaId = mediaId;
	}
	
}
